/**
 *updateserver App
 * Implementing an App to manage application App.
 */
var MagicBoxApp = MagicBoxApp || {}; //Define Update Server App namespace.
/**
 *Constructor UNAS App
 */
MagicBoxApp.App = function() {
  this.id = 'Magic Box';
  this.name = 'Magic Box';
  this.version = '6.0.4';
  this.active = false;
  this.menuIcon = '/apps/magicbox/images/logo.png?v=6.0.4';
  this.shortcutIcon = '/apps/magicbox/images/logo.png?v=6.0.4';
  //this.entryHelpUrl = '/apps/magicbox/editionsetup_help.html';
  this.entryUrl = '/apps/magicbox/magicbox.html?v=6.0.4';
  var self = this;
  this.MagicBoxAppWindow = function() { //create app window
    if (UNAS.CheckAppState('Magic Box')) {
      return false;
    }
    self.window = new MUI.Window({
      id: 'MagicBoxAppWindow',
      title: UNAS._('Magic Box'),
      icon: '/apps/magicbox/images/logo_small.png?v=6.0.4',
      width: 700,
      height: 480,
      maximizable: false,
      resizable: true,
      scrollbars: true,
      loadMethod: 'xhr',
      contentURL: '/apps/magicbox/magicbox.html?v=6.0.4',
      require: {
        css: ['/apps/magicbox/css/magicbox.css?v=6.0.4']
      },
      onBeforeBuild: function() {
        UNAS.SetAppOpenedWindow("Magic Box", 'MagicBoxAppWindow')
      }
    });
  };
  this.editionSetupUninstall = function() {
    UNAS.RemoveDesktopShortcut('Magic Box');
    UNAS.RemoveMenu('Magic Box');
    UNAS.RemoveAppFromGroups('Magic Box', 'ControlPanel');
    UNAS.RemoveAppFromGroups('Magic Box', 'Help');
    UNAS.RemoveAppFromApps('Magic Box');
  };

  new UNAS.Menu('UNAS_ControlPanel_Setting_Menu', this.name, this.menuIcon, 'Magic Box', '', this.MagicBoxAppWindow);
  new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {
    'Type': 'Setting',
    'Location': 8,
    "Icon": this.shortcutIcon,
    "Url": this.entryUrl
  }, {});

  var onChangeLanguage = function(e) {
    UNAS.SetMenuTitle('Magic Box', UNAS._('Magic Box')); //translate menu
    //UNAS.SetShortcutTitle('Magic Box', UNAS._('Magic Box'));
    if (typeof self.window !== 'undefined') {
      UNAS.SetWindowTitle('UpdateServerAppWindow', UNAS._('Magic Box'));
    }
  }
  UNAS.LoadTranslation('/apps/magicbox/languages/Translation?v=' + this.version, onChangeLanguage);
  UNAS.Event.addEvent('ChangeLanguage', onChangeLanguage);
  UNAS.CreateApp(this.name, this.shortcutIcon, this.MagicBoxAppWindow, this.editionSetupUninstall);
};

new MagicBoxApp.App(); //Create app
