function edition_acquit() {
  page_waiting_show();
  jQuery.ajax({
    url: '/wmi/index.php',
    type: "POST",
    async: true,
    data: JSON.stringify({
      "cmd": "edition_acquit",
      "token": UToken
    }),
    dataType: 'json',
    contentType: "application/json;charset=utf-8",
    timeout: 60000,
    success: function(res) {
      var info = res.results || {};
      jQuery('#jv-selectEdition').empty();
      if (res.err == 0) {
        var list = info.list || [];
        var current = info.current;
        var option = '';
        for (var i = 0; i < list.length; i++) {
          var selected = list[i] == current ? 'selected' : '';
          option += '<option value="' + list[i] + '" ' + selected + '>' + list[i] + '</option>'
        }
        jQuery('#jv-selectEdition').html(option);

        magicboxTranslator('jv-selectEdition');
      }
    },
    complete: function(){
      page_waiting_hide();
    },
    error: function(XMLHttpRequest, textStatus, errorThrown) {

    }
  });
}

function submitEditionApply() {
  page_waiting_show();
  jQuery.ajax({
    url: '/wmi/index.php',
    type: "POST",
    async: true,
    data: JSON.stringify({
      "cmd": "edition_change",
      "token": UToken,
      "params": {
        "current": jQuery('#jv-selectEdition').val()
      }
    }),
    dataType: 'json',
    contentType: "application/json;charset=utf-8",
    timeout: 60000,
    success: function(r) {
      if (r.err == 0) {
        unasmagicboxConfirm();
      }
    },
    complete: function(){
      page_waiting_hide();
    },
    error: function(XMLHttpRequest, textStatus, errorThrown) {
      alert(errorThrown);
    }
  });
}

function selectEdition() {
  jQuery('#jv-submitEditionBtn').attr('class', 'unas_button').attr('disabled', false);
}

function page_waiting_show() {
  jQuery('#magicbox-page_waiting_content').show();
  jQuery('#magicbox-page_waiting_logo').show();
}

function page_waiting_hide() {
  jQuery('#magicbox-page_waiting_content').hide();
  jQuery('#magicbox-page_waiting_logo').hide();
}

function unasmagicboxConfirm(data, fn){
  var alertWindow = new MUI.Modal({
    id: 'jv-alertWindow',
    title: UNAS._('Tips'),
    modal: true,
    modalOverlayClose: false,
    width: 400,
    height: 200,
    data:data,
    contentURL: '/apps/magicbox/alert.html?v=6.0.4&'
  });
  alertWindow.callBack = function() {
    if (typeof fn == 'function') {
      fn();
    }
  };
}

(function() {
  edition_acquit();
})()
